{% extends 'admin/base.html.twig' %}

{% block title %}Administration des commentaires{% endblock %}

{% block body %}
    <div class="container-fluid">
        <h1 class="my-5">Administration des commentaires</h1>

        <table class="table table-hover">
            <thead>
                <tr class="alert alert-dark">
                    <th>Id</th>
                    <th>Date</th>
                    <th>Auteur</th>
                    <th>Commentaire</th>
                    <th>Note</th>
                    <th>Annonce</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                {% for comment in pagination.data %}
                <tr>
                    <td>{{comment.id}}</td>
                    <td>{{comment.createdAt|date('d/m/Y H:i')}}</td>
                    <td style="vertical-align:middle">
                        <div class="wrapper-avatar" style="display:flex"><img src="{{comment.author.picture}}" alt="Avatar de {{comment.author.fullName}}" class="avatar avatar-micro mr-2">
                        {{comment.author.firstName}} <br>
                        {{comment.author.lastName}} </div>
                    </td>
                    <td>{{comment.content}}</td>
                    <td>
                        <span class="badge badge-dark">{{comment.rating}}</span>
                    </td>
                    <td>{{comment.ad.title}}</td>
                    <td>
                        <a href="{{ path('admin_comment_edit', {'id': comment.id}) }}" class="btn btn-primary">
                            <i class="fas fa-pen"></i>
                        </a>
                        <a href="{{ path('admin_comment_delete', {'id': comment.id}) }}" class="btn btn-danger">
                            <i class="fas fa-trash"></i>
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        
        {{ pagination.display() }}
    </div>
{% endblock %}